<?php

class FlowchartFlexDocs_lb6606d3904e3114_10412513{

    protected $name = '';
    protected $schema = array();

    public const MULTIENUM_TYPE_NAME = 'multienum';

    public function __construct(){}

    public function setName($name){
        $this->name = $name;
    }

    public function setSchema($schema){
        $this->schema = $schema;
    }

    public function setSchemaValue($name, $value){
        if(isset($this->schema[$name])){
            if(!empty($value['collectionData'])){
                $this->setWihCollectionValue($name, $value);
            }else{
                $this->schema[$name]['value'] = $value;
            }
        }
    }

    public function toString(){
        $returnResult = array(
            'name' => $this->name,
            'schema' => array()
        );
        if(is_string($this->schema))
            $returnResult['schema'] = json_decode($this->schema, true);
        elseif(!empty($this->schema))
            $returnResult['schema'] = array_values($this->schema);

        return $returnResult;
    }

    protected function setWihCollectionValue($name, $value){
        $valuesArr = $value['collectionData'];
        if($this->schema[$name]['type'] == self::MULTIENUM_TYPE_NAME){
            $this->schema[$name]['value'] = $valuesArr;
        }
    }

}
